import { css, LitElement, html } from 'lit';

class UUIBoxElement extends LitElement {
  render() {
    return html`
      <slot name="header"></slot>
      <slot name="main"></slot>
      <slot></slot>
    `;
  }
}
UUIBoxElement.styles = [
  css`
      :host {
        display: block;
        /* TODO: fix automatic fallback values for shadows shadows.*/
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        border-radius: var(--uui-size-border-radius,3px);
        background-color: var(--uui-interface-surface,#FEFEFE);
      }

      ::slotted([slot='header']) {
        border-bottom: 1px solid var(--uui-interface-border,#C4C4C4);
      }

      ::slotted([slot='header']),
      ::slotted([slot='main']) {
        padding: var(--uui-size-space-3,12px);
      }
    `
];

customElements.define("uui-box", UUIBoxElement);
